Summary: The GNU shar utilities for packaging and unpackaging shell archives.
Name: sharutils
Version: 4.2.1
Release: 8.7.x
License: GPL
Group: Applications/Archiving
Source: ftp://prep.ai.mit.edu/pub/gnu/sharutils/sharutils-%{version}.tar.gz
Patch1: sharutils-4.2-gmo.patch
Patch2: sharutils-4.2-man.patch
Patch3: sharutils-4.2-po.patch
Patch4: sharutils-4.2-share.patch
Patch5: sharutils-4.2-uudecode.patch
Patch6: sharutils-4.2.1-mktemp.patch
Patch7: sharutils-4.2.1-uudecode.patch
Prereq: /sbin/install-info
Buildroot: %{_tmppath}/%{name}-root

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through e-mail (which can be problematic for regular
binary files).  The shar utility supports a wide range of capabilities
(compressing, uuencoding, splitting long files for multi-part
mailings, providing checksums), which make it very flexible at
creating shar files.  After the files have been sent, the unshar tool
scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the
shar files.

Install sharutils if you send binary files through e-mail.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall install-man
gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/{sharutils*,remsync*}

# fix jp location
mv ${RPM_BUILD_ROOT}%{_datadir}/locale/ja_JP.EUC \
        ${RPM_BUILD_ROOT}%{_datadir}/locale/ja

%find_lang %{name}

%post
/sbin/install-info %{_infodir}/sharutils.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sharutils.info.gz %{_infodir}/dir
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_infodir}/*info*
%{_mandir}/*/*

%changelog
* Sun Apr 14 2002 Than Ngo <than@redhat.com> 4.2.1-8.7.x
- added fix for Unsecure outputfile handling in uudecode (#63303)
- Copyright -> License

* Fri May 11 2001 Than Ngo <than@redhat.com>
- use find_lang macro
- use mktemp

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- fix typo (Bug# 12447)

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment

* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- add %defattr(-,root,root) (Bug# 11990)
- use rpm macros

* Sun May 21 2000 Ngo Than <than@redhat.de>
- rebuild to put man pages and info files in right place

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Tue Dec 21 1999 Preston Brown <pbrown@redhat.com>
- sharutils 4.2.1 for Y2K (2 digit date) fix.
- ja message catalog move (#7878)

* Tue Sep  7 1999 Jeff Johnson <jbj@redhat.com>
- handle spaces in uuencoded file names (David Fox <dsfox@cogsci.ucsd.edu>).

* Wed Jul 28 1999 Cristian Gafton <gafton@redhat.com>
- use the /usr/share/locale for the localedir instead of /usr/lib/locale
  (#2998)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- ALRIGHT!  Woo-hoo!  Erik already did the install-info stuff!
- added BuildRoot
- spec file cleanups

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

